# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit cmake git-r3

DESCRIPTION="Hyprland graphics / resource utilities"
HOMEPAGE="https://github.com/hyprwm/hyprgraphics"
EGIT_REPO_URI="https://github.com/hyprwm/${PN}.git"

LICENSE="BSD3-Clause"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
    virtual/pkgconfig
    >=dev-build/cmake-3.19.0

    x11-libs/pixman
    x11-libs/cairo
    gui-libs/hyprutils
    media-libs/libjpeg-turbo
    media-libs/libwebp
    media-libs/libjxl
"
